%global pypi_name certbot-dns-sakuracloud

%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
# EL7 has problems building the documentation due to #1492884
%bcond_with docs
%else
%bcond_without python3
%bcond_without docs
%endif

Name:           python-%{pypi_name}
Version:        0.27.1
Release:        1%{?dist}
Summary:        Sakura Cloud DNS Authenticator plugin for Certbot

License:        ASL 2.0
URL:            https://github.com/certbot/certbot
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-acme >= 0.21.1
BuildRequires:  python2-certbot >= 0.21.1
BuildRequires:  python2-devel
BuildRequires:  python2-dns-lexicon >= 2.1.23
BuildRequires:  python2-setuptools
BuildRequires:  python2-zope-interface

%if %{with python3}
BuildRequires:  python3-acme >= 0.21.1
BuildRequires:  python3-certbot >= 0.21.1
BuildRequires:  python3-devel
BuildRequires:  python3-dns-lexicon >= 2.1.23
BuildRequires:  python3-setuptools
%endif

%if %{with docs}
BuildRequires:  python2-sphinx
BuildRequires:  python2-sphinx_rtd_theme
%endif

%description
Sakura Cloud DNS Authenticator plugin for Certbot

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python2-acme >= 0.21.1
Requires:       python2-certbot >= 0.21.1
Requires:       python2-dns-lexicon >= 2.1.23
Requires:       python2-mock
Requires:       python2-setuptools
Requires:       python2-zope-interface

%description -n python2-%{pypi_name}
Sakura Cloud DNS Authenticator plugin for Certbot

This is the Python 2 version of the package.

%if %{with python3}
%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-acme >= 0.21.1
Requires:       python3-certbot >= 0.21.1
Requires:       python3-dns-lexicon >= 2.1.23
Requires:       python3-mock
Requires:       python3-setuptools
Requires:       python3-zope-interface

%description -n python3-%{pypi_name}
Sakura Cloud DNS Authenticator plugin for Certbot

This is the Python 3 version of the package.

%endif

%if %{with docs}
%package -n python-%{pypi_name}-doc
Summary:        Documentation for python-certbot-dns-sakuracloud
%description -n python-%{pypi_name}-doc
Documentation for python-certbot-dns-sakuracloud

%endif

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%if %{with python3}
%py3_build
%endif

%if %{with docs}
sphinx-build docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py2_install

%if %{with python3}
%py3_install
%endif

%check
%{__python2} setup.py test

%if %{with python3}
%{__python3} setup.py test
%endif

%files -n python2-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/certbot_dns_sakuracloud
%{python2_sitelib}/certbot_dns_sakuracloud-%{version}-py?.?.egg-info

%if %{with python3}
%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/certbot_dns_sakuracloud
%{python3_sitelib}/certbot_dns_sakuracloud-%{version}-py?.?.egg-info
%endif

%if %{with docs}
%files doc
%license LICENSE.txt
%doc README.rst
%doc html
%endif

%changelog
* Mon Sep 10 2018 Eli Young <elyscape@gmail.com> - 0.27.1-1
- Update to 0.27.1 (#1627584)

* Thu Jul 19 2018 Eli Young <elyscape@gmail.com> - 0.26.1-1
- Update to 0.26.1

* Tue Jul 17 2018 Eli Young <elyscape@gmail.com> - 0.26.0-1
- Initial import (#1602111)
